Summary: A news reader that displays postings in threaded format.
Name: trn
Version: 3.6
Release: 25
Copyright: distributable
Group: Applications/Internet
Source0:  ftp://ftp.uu.net:/networking/news/readers/trn/trn-3.6.tar.gz
Patch0: trn-3.6-linux.patch
Patch1: trn-3.6-sigtstp.patch
Patch2: trn-3.6-make.patch
Patch3: trn-3.6-bool.patch
Patch4: trn-3.6-rh.patch
Patch5: trn-3.6-jbj.patch
Patch6: trn-3.6-fhs.patch
Patch7: trn-3.6-bug16569.patch
Requires: inews
BuildRoot: %{_tmppath}/%{name}-root

%description
Trn is a basic news reader that supports threading.  This version is
configured to read news from an NNTP news server.

Install trn if you need a basic news reader that shows you newsgroup
postings in threaded format.

%prep
%setup -q 
%patch0 -p1 -b .linux
%patch1 -p1 -b .sigstp
%patch2 -p1 -b .make
%patch3 -p1 -b .bool
%patch4 -p1 -b .rh
%patch5 -p1 -b .jbj
%patch6 -p1 -b .fhs
%patch7 -p1 -b .bug16569

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" YACC="bison -y"

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}/
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/lib/trn
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1/

chmod 755 filexp
chmod 755 makedir

%makeinstall

chmod 755 ${RPM_BUILD_ROOT}%{_bindir}/*
chmod 755 ${RPM_BUILD_ROOT}%{_prefix}/lib/*

mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/X11/applnk/Internet
cat > ${RPM_BUILD_ROOT}%{_sysconfdir}/X11/applnk/Internet/trn.desktop <<EOF
[Desktop Entry]
Name=Trn
Type=Application
Comment=Threaded News Reader
Exec=trn
Terminal=true
EOF

%clean 
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc README INSTALL MANIFEST HINTS.TRN HACKERSGUIDE NEW
%{_bindir}/trn
%{_bindir}/newsetup
%{_bindir}/newsgroups
%{_bindir}/Pnews
%{_bindir}/Rnmail
%{_bindir}/trn-artchk
%{_bindir}/nntplist
%{_prefix}/lib/trn
%{_mandir}/man1/*
%config(missingok) %{_sysconfdir}/X11/applnk/Internet/trn.desktop

%changelog
* Sat Aug 19 2000 Jeff Johnson <jbj@redhat.com>
- deal gracefully with /etc/HOSTNAME non-existence (#16569).

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Wed Jun 14 2000 Jeff Johnson <jbj@redhat.com>
- FHS packaging.

* Fri May  5 2000 Bill Nottingham <notting@redhat.com>
- bison, not yacc

* Mon Feb  7 2000 Preston Brown <pbrown@redhat.com>
- wmconfig -> desktop

* Mon Feb  7 2000 Jeff Johnson <jbj@redhta.com>
- compress man pages.

* Sun Sep  5 1999 Jeff Johnson <jbj@redhat.com>
- pass -S to inews if .news_sig already appended to article (#2834).

* Wed Jun  2 1999 Jeff Johnson <jbj@redhat.com>
- change to /usr/bin/inews and /var/lib/news (#2646)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 16)

* Wed Feb 10 1999 Michael Maher <mike@redhat.com>
- patched BUG #587
- changed group

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Wed Sep 02 1998 Michael Maher <mike@redhat.com>
- added buildroot
- updated spec file

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Dec 30 1997 Erik Troan <ewt@redhat.com>
- SIGTSTP handler was flaky, which made ^Z fail w/ built against glibc
- added a wmconfig entry

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc 

* Tue Mar 25 1997 Erik Troan <ewt@redhat.com>
- some of the files in /usr/bin wrre 647, which makes no sense.

